<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('ms_sekolah', function (Blueprint $table) {
            $table->id('MsSekolahId');
            $table->integer('ms_provinsi_id');
            $table->integer('ms_kabupaten_id');
            $table->integer('ms_kecamatan_id');
            $table->integer('ms_tingkat_sekolah_id');
            $table->string('status')->nullable();
            $table->string('nama_sekolah');
            $table->string('npsn');
            $table->text('alamat_sekolah')->nullable();
            $table->text('lat')->nullable();
            $table->text('long')->nullable();
            $table->timestamps();

            $table->foreign('ms_tingkat_sekolah_id')->references('MsTingkatSekolahId')->on('ms_tingkat_sekolah')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('sekolahs');
    }
};
